API referenceAssets
POST /api/Assets/RemoveAssetTimeseriesConnection
Removes connections between Assets and Timeseries.
POST
/api/Assets/RemoveAssetTimeseriesConnectioncurl -X POST "/api/Assets/RemoveAssetTimeseriesConnection" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"timeseriesIds": [
0
],
"assetId": 0
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.AssetManagement.AssetTimeseriesConnectionDeleteDto
Response
application/json
A list of AssetTimeseriesConnectionCreateDto that were removed.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.AssetManagement.AssetTimeseriesConnectionCreateDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"timeseriesId": 0,
"assetId": 0,
"validityOrder": 0,
"assetTimeseriesTypeId": 0
}
]
}